Apache Struts API Documentation: Class ValidatingActionForm

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ValidatingActionForm

    java.lang.Object
      |
      +--org.apache.struts.action.ActionForm
            |
            +--org.apache.struts.action.ValidatingActionForm

All Implemented Interfaces:
  java.io.Serializable

Deprecated. Application ActionForm beans should now extend ActionForm directly, and override the validate() method if they wish to provide such services

public class ValidatingActionForm
extends ActionForm

An ValidatingActionForm is a JavaBean optionally associated with one or more `ActionMappings`. Such a bean will have had its properties initialized from the corresponding request parameters before the action's `perform()` method is called.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Jeff Hutchison
See Also:
  Serialized Form

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`ValidatingActionForm()` Deprecated.

Method Summary
`java.lang.String[]` | `validate()` Deprecated. Perform validations on the form input values included in this form bean.

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, reset, reset, setMultipartRequestHandler, setServlet, validate, validate`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### ValidatingActionForm

    public ValidatingActionForm()

  Deprecated.

Method Detail

### validate

    public java.lang.String[] validate()

  Deprecated.
  Perform validations on the form input values included in this form bean. If validation errors occur, return a String array containing the message keys of corresponding error messages (in our application MessageResources) to be displayed. If no validation errors occur, return `null`.
  Overrides:
    `validate` in class `ActionForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation